## org.python.core
Class IdImpl2

    java.lang.Object
      org.python.core.IdImpl
          org.python.core.IdImpl2

    public class IdImpl2

extends IdImpl

Nested Class Summary
`static class` `IdImpl2.WeakIdentityMap`

Constructor Summary
`IdImpl2()`

Method Summary
`long` `id(PyObject o)`
`java.lang.String` `idstr(PyObject o)`
`long` `java_obj_id(java.lang.Object o)`

Methods inherited from class org.python.core.IdImpl
`getInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdImpl2

    public IdImpl2()

Method Detail

### id

    public long id(PyObject o)

  Specified by:
    `id` in class `IdImpl`

### idstr

    public java.lang.String idstr(PyObject o)

  Specified by:
    `idstr` in class `IdImpl`

### java_obj_id

    public long java_obj_id(java.lang.Object o)

  Specified by:
    `java_obj_id` in class `IdImpl`

Jython homepage